Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Class CPDTask.FormatAttribute

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          net.sourceforge.pmd.cpd.CPDTask.FormatAttribute

Enclosing class:
  CPDTask

public static class CPDTask.FormatAttribute
extends org.apache.tools.ant.types.EnumeratedAttribute

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`CPDTask.FormatAttribute()`

Method Summary
`java.lang.String[]` | `getValues()`

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CPDTask.FormatAttribute

    public CPDTask.FormatAttribute()

Method Detail

### getValues

    public java.lang.String[] getValues()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.